fbsql_database
fbsql_db_status
FrontBase Functions
PHP Manual

# fbsql_db_query

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

fbsql_db_query — Send a FrontBase query

### Description

resource fbsql_db_query ( string `$database` , string `$query` [, resource `$link_identifier` ] )

Selects a database and executes a query on it.

### Parameters

`database`

  The database to be selected.

`query`

  The SQL query to be executed.

  > Note:

  > The query string shall always end with a semicolon.

`link_identifier`

  A FrontBase link identifier returned by fbsql_connect() or fbsql_pconnect().

  If optional and not specified, the function will try to find an open link to the FrontBase server and if no such link is found it will try to create one as if fbsql_connect() was called with no arguments.

### Return Values

Returns a positive FrontBase result identifier to the query result, or `FALSE` on error.

### See Also

- fbsql_query() - Send a FrontBase query
- fbsql_connect() - Open a connection to a FrontBase Server

fbsql_database
fbsql_db_status
FrontBase Functions
PHP Manual